
include ../fieldErrors.pug

mixin dadosBasicosPessoaFisica(pessoaFisica, editar, cadastroPublico)

	div.form-group.checkbox(ng-show='!' + editar + ' && ' + '!' + cadastroPublico)
		label
			input(type='checkbox', name='estrangeiro', ng-model=pessoaFisica+'.estrangeiro')
			span.checkbox-material
				span.check
			|	Estrangeiro(a)

	div.form-group

		label(for='nome') Nome completo: *
		input.form-control(type='text', name='nome', ng-model=pessoaFisica+'.nome', required, maxlength="200")
		+fieldErrors(field="nome", errors=["required"])

	div.row

		div.col-sm-4(ng-if='!'+ pessoaFisica +'.estrangeiro')

			div.form-group
				label(for='cpf', ng-if='!'+ pessoaFisica +'.estrangeiro') CPF: *
				input.form-control(type='text', name='cpf', ng-disabled=editar + ' || ' + cadastroPublico, ng-model=pessoaFisica+'.cpf', required, ui-br-cpf-mask)
				+fieldErrors(field="cpf", errors=["required", "cpf"])

		div.col-sm-4(ng-if=pessoaFisica +'.estrangeiro')

			div.form-group
				label(for='passaporte') Passaporte: *
				input.form-control(type='text', name='passaporte', ng-disabled=editar, ng-model=pessoaFisica+'.passaporte', required, maxlength="50")
				+fieldErrors(field="passaporte", errors=["required"])

		div.col-sm-4

			div.form-group
				label(for='data') Data de nascimento: *
				div.input-group
					input.form-control(type='text', name='dataNascimento', uib-datepicker-popup="dd/MM/yyyy", ng-model=pessoaFisica +'.dataNascimento', datepicker-options="datepickerOptions", is-open="datepicker.opened", ng-required="true", ui-mask="99/99/9999", ui-mask-placeholder-char="space", model-view-value="true", max-date="datepickerOptions.maxDate")
					span.input-group-btn
						button.btn.btn-group.btn-raised.btn-raised-shadow(type="button", ng-click="datepicker.opened=true")
							i.material-icons today
				+fieldErrors(field="dataNascimento", errors=["required", "date", "maxDate"])

		div.col-lg-3.col-sm-4

			div.form-group
				label(for='sexo') Sexo: *
				div.radio
					label.radio-inline.item(ng-repeat="sexo in sexos")
						input(type='radio', name='sexo', ng-value='sexo', ng-checked=pessoaFisica+'.sexo.codigo === sexo.codigo', ng-model=pessoaFisica+'.sexo' required)
						span.circle
						span.check
						|	{{sexo.descricao}}
				+fieldErrors(field="sexo", errors=["required"])

	div.form-group

		label(for='nome_mae') Nome da mãe: *
		input.form-control(type='text', name='nome_mae', ng-model=pessoaFisica +'.nomeMae', required, maxlength="200")
		+fieldErrors(field="nome_mae", errors=["required"])

	div.row

		div.col-sm-4

			div.form-group
				label(for='estado_civil') Estado civil:
				select.form-control(name='estado_civil', ng-options="estadoCivil as estadoCivil.descricao for estadoCivil in estadosCivis track by estadoCivil.nome", ng-model=pessoaFisica+'.estadoCivil')
					option.option-select-display.option-select(value="", selected)

		div.col-lg-8(ng-if='!'+ pessoaFisica +'.estrangeiro').col-sm-8

			div.form-group
				label(for='naturalidade') Naturalidade:
				input.form-control(type='text', name='naturalidade', ng-model=pessoaFisica+'.naturalidade', maxlength="50")

	div.row(ng-if='!'+ pessoaFisica +'.estrangeiro')

		div.col-sm-4

			div.form-group
				label(for='rg') RG:
				input.form-control(type='text', name='rg', ng-model=pessoaFisica+'.rg.numero', ng-required=pessoaFisica+'.rg.orgaoExpedidor',  maxlength="20")
				+fieldErrors(field="rg", errors=["required"])

		div.col-sm-4

			div.form-group
				label(for='orgao_expedidor') Orgão expedidor:
				input.form-control(type='text', name='orgao_expedidor', ng-model=pessoaFisica+'.rg.orgaoExpedidor', maxlength="200")


	div.row(ng-if='!'+ pessoaFisica +'.estrangeiro')

		div.col-sm-4

			div.form-group
				label(for='num_titulo') Número do título de eleitor:
				input.form-control(type='text', name='num_titulo', ng-model=pessoaFisica+'.tituloEleitoral.numero', ui-mask='9999 9999 9999', ui-mask-placeholder-char='space', ng-required=pessoaFisica +'.tituloEleitoral.zona || '+ pessoaFisica +'.tituloEleitoral.secao')
				+fieldErrors(field="num_titulo", errors=["required"])

		div.col-sm-4

			div.form-group
				label(for='zona') Zona eleitoral:
				input.form-control(type='text', name='zona', ng-model=pessoaFisica+'.tituloEleitoral.zona', mask="999" validate="true")
				+fieldErrors(field="zona", errors=["mask"])

		div.col-sm-4

			div.form-group
				label(for='secao') Seção eleitoral:
				input.form-control(type='text', name='secao', ng-model=pessoaFisica+'.tituloEleitoral.secao', mask='9999', validate="true")
				+fieldErrors(field="secao", errors=["mask"])